use deimos::lexer::tokenize;
use std::process::exit;

fn main() {
    let src = String::from("print 'Hello, World!'");
    let r = tokenize(&src);
    if let Err(e) = r {
        eprintln!("{}", e);
        exit(1);
    }
    let tokens = r.unwrap();
    println!("{:?}", tokens);
}